**ob library，please use Obsidian install AnyBlock plugin and open this sample**
You may need to switch between source/live/render modes frequently. Personal shortcuts are recommended：
- <kbd>Ctrl</kbd> + <kbd>/</kbd> | Switch source and real-time（Default not set）
- <kbd>Alt </kbd> + <kbd>/</kbd> | Toggle edit and render（Default Ctrl+E）

Plug-in recommended Settings：(Default)

# Selector

Selectors include **local selector**、**global selector**
- local selector
	- list selector
	- quote selector
	- code selector (pre selector)
- global selector
	- head-tail selector
	- title selector (heading selector)

Features of global selector：
- It can include a large area, and the area can have various composite elements

## List selector

只要在列表的上一行加上 `[header]` 即可。其中 `header` 是要对该列表进行的操作

## Head-tail selector

`{[header]` 表示开始，`}.` 表示结束。其中 `header` 是要对该列表进行的操作

缺陷：改功能可能无法在渲染模式下使用

## Other selector

包括：引用块选择器、代码块选择器、标题层级选择器
和列表选择的操作是类似的

## ~~selector option~~（This feature is not developed）

`[>XXX]` 可以缩减范围选择（此功能未开发）
{^XXX} 所在层级选择，不同于下一层级选择（此功能未开发）

# Processor（operation）

Operation is divided into
- render processor
	- text to element
- text processor
	- text to text
- decorate processor
	- element to element

compound operation
- Use multiple processors（Separated by `|`）

**（The following may contain old or unimplemented or incompatible versions of the plug-in, or you may use the Settings panel to see all the processors supported by the plug-in you installed）**

Supported `rendering selector`：

[list2table|overfold]
- < Type| Analytic Method | 解析方法 | Rendering Method | 渲染方法 | can turn md/html?
- tree
	- ul-list| ul树
	  （一叉多层树）
		- 2ut/2mdut       | 转表格（规范） | md/html
	- li-list| li树
	  （一叉多层树）
		- 2lt/mdlt        | 转列表格 | html
	- ab-tree | 二层树
	  也叫 "消除最高级"
	  （一叉二层树）
		- 2timeline | 转时间线 | mermaid
		- 2tab         | 转标签栏 | html
		- 2chat       | 转对话
	- tree-list | 树列表
	  （多叉多层树）
		- 2table/2mdtable | 转树表格 | html
		- 2mermaid  | 转流程图   | mermaid/html
		- 2mindmap  | 转思维导图      | html
		- 2tree     | 长得像树的树状图 | html
		- 2xuri     | 旭日图         | html
		- 2brace    | 括弧分类图      | html
- other
	- title       | 标题级（语法糖）
		- 2list+list2xxx | (组合使用，下面提供了几种语法糖)
		- 2tab
		- 2table
		- 2mindmap
	- code      | 一定代码
		- 2doctable | 转表格（文档生成） | html
		- json | 这个不能转树，只能说转可折叠渲染
	- common    | 通用
		- text | 纯文本            | md
		- md   | md渲染            | md
	- render| 渲染
	  （理论上为 "渲染修饰器"
	  但该功能没做）
		- flod | (折叠类)可折叠     | md+
		- hide | (折叠类)默认折叠   | md+
		- heimu| (折叠类)黑幕遮挡   | html
		- limit()/part() | (折叠类)限高折叠 | html
		- scroll()| (折叠类)限高滚动 | html
		- title()| 增加块标题（代码块可能会很常用）

Supported `text processor`:

[2table]
- < Type | 类型 | processor | 处理器
- title| 标题类
	- title2list| 转列表文本，title最重要的处理器，可配合list渲染器使用
- tree-indent | 树缩进
	- indent2list | 缩进转列表
- code/quote | 代码或引用块
	- X    | 根据选择器自动解除块
	- code/code(str) | 变代码块
	- Xcode/Xcode(bool) | 解除代码块
	- quote | 变引用块
	- Xquote | 解除引用块
	- code2quote | 代码块转引用块
	- quote2code | 引用块转代码块
- text | 纯文本操作
	- replace| 替换（带参）
	- slice()| 切片（例如切割1,-1，也可以达到类似Xcode的效果）
	- listroot| 增加列表根
	- 2tree-indent | 列表转缩进


三种可解析为树的选择器的差异
[2table]
- < 选择器|     可解析层次|       在ul-list里解析的区别
- 列表选择器|  树层次（>0）|     首列仅解析列表层，`|`为分割
- 负列表选择器| 树层级（>-4）|   首列仅解析负列表层
- 标题选择器|  树层级（>-9）|    首列仅解析标题层

补充：
- `2` 表示 `to` 的意思（就是一种格式转化为另一种格式）
- `X` 表示 `去除` 的意思（例如去除引用块或代码块）


