**ob 库，请用Obsidian安装AnyBlock插件打开**
你可能需要频繁切换：源码/实时/渲染模式，推荐个人快捷键：
- <kbd>Ctrl</kbd> + <kbd>/</kbd> | 切换源码和实时（默认未设置）
- <kbd>Alt </kbd> + <kbd>/</kbd> | 切换编辑和渲染（默认Ctrl+E）

插件推荐设置：
- 范围管理器
	- 列表选择器 | 仅识别有头部声明
	- 引用块选择器 | 仅识别有头部声明
	- 代码块选择器 | 仅识别有头部声明
	- 范围选择器 | 总是识别
- 装饰管理器
	- 源码模式中启用 | 不启用
	- 实时模式中启用 | 启用块装饰
	- 渲染模式中启用 | 启用块装饰
- 实验性功能
	- 启用负级列表 | 开（但现在还开不了）

# 流畅性选项

在看基础教程时，为了方便理解，请使用上面的推荐设置（插件默认设置）
- 如果追求功能性，你可以将范围管理器里的一些选项改为 `总是识别`
- 如果追求流畅性，或者你发现使用过程中有点卡顿（本插件目前可能还优化得不是很好，例如没有限制刷新频率等）
  你可以选择少使用像mermaid的功能、或避免块二次转化
  **或者将 `实时模式中启用` 改为 `不启用`**，这个是会非常流畅的

# 选择器

选择器包括**局部选择器**、**全局选择器**
- 局部选择器
	- 列表选择器
	- 引用块选择器
	- 代码块选择器
- 全局选择器
	- 首尾选择器
	- 标题选择器

全局选择器的特点：
- 可以包括很大一片区域，并且该区域可以有各种复合元素
- 为防止用户误操作，决定不提供 `总是识别` 功能

## 列表选择器

只要在列表的上一行加上 `[header]` 即可。其中 `header` 是要对该列表进行的操作

## 范围选择器

`{[header]` 表示开始，`}.` 表示结束。其中 `header` 是要对该列表进行的操作

缺陷：改功能可能无法在渲染模式下使用

## 其他选择器

包括：引用块选择器、代码块选择器、标题层级选择器
和列表选择的操作是类似的

## 选择器选项（此功能未开发）

`[>XXX]` 可以缩减范围选择（此功能未开发）
{^XXX} 所在层级选择，不同于下一层级选择（此功能未开发）

# 处理器（操作）

操作分为
- 渲染操作
	- 包括解析操作，其实叫做“解析并渲染”会更通俗一点
	- 如果不指定渲染操作则为md渲染操作
- 文本操作
	- 仅处理文本，即将一系列纯文本转化为另一个新的纯文本，可叠加
复合操作
- 由多个文本操作、或多个文本操作加渲染操作组成

**（下面可能包含旧的或未实现的或与插件版本不符的处理器，也可能通过设置面板查看自己安装插件所支持的所有处理器）**

支持的渲染操作：

[list2table|overfold]
- < 大类型| 解析方法 | 解析方法zh | 渲染方法 | 渲染方法zh | 可转md/html
- tree
	- ul-list| ul树
	  （一叉多层树）
		- 2ut/2mdut       | 转表格（规范） | md/html
	- li-list| li树
	  （一叉多层树）
		- 2lt/mdlt        | 转列表格 | html
	- ab-tree | 二层树
	  也叫 "消除最高级"
	  （一叉二层树）
		- 2timeline | 转时间线 | mermaid
		- 2tab         | 转标签栏 | html
		- 2chat       | 转对话
	- tree-list | 树列表
	  （多叉多层树）
		- 2table/2mdtable | 转树表格 | html
		- 2mermaid  | 转流程图   | mermaid/html
		- 2mindmap  | 转思维导图      | html
		- 2tree     | 长得像树的树状图 | html
		- 2xuri     | 旭日图         | html
		- 2brace    | 括弧分类图      | html
- other
	- title       | 标题级（语法糖）
		- 2list+list2xxx | (组合使用，下面提供了几种语法糖)
		- 2tab
		- 2table
		- 2mindmap
	- code      | 一定代码
		- 2doctable | 转表格（文档生成） | html
		- json | 这个不能转树，只能说转可折叠渲染
	- common    | 通用
		- text | 纯文本            | md
		- md   | md渲染            | md
	- render| 渲染
	  （理论上为 "渲染修饰器"
	  但该功能没做）
		- flod | (折叠类)可折叠     | md+
		- hide | (折叠类)默认折叠   | md+
		- heimu| (折叠类)黑幕遮挡   | html
		- limit()/part() | (折叠类)限高折叠 | html
		- scroll()| (折叠类)限高滚动 | html
		- title()| 增加块标题（代码块可能会很常用）

支持的文本操作：
（与渲染操作相比，文本操作的特点在于可叠加。即：可以先经过多个文本操作，再进行渲染操作）

[2table]
- < 类型 | 类型zh | 方法 | 方法zh
- title| 标题类
	- title2list| 转列表文本，title最重要的处理器，可配合list渲染器使用
- tree-indent | 树缩进
	- indent2list | 缩进转列表
- code/quote | 代码或引用块
	- X    | 根据选择器自动解除块
	- code/code(str) | 变代码块
	- Xcode/Xcode(bool) | 解除代码块
	- quote | 变引用块
	- Xquote | 解除引用块
	- code2quote | 代码块转引用块
	- quote2code | 引用块转代码块
- text | 纯文本操作
	- replace| 替换（带参）
	- slice()| 切片（例如切割1,-1，也可以达到类似Xcode的效果）
	- listroot| 增加列表根
	- 2tree-indent | 列表转缩进


三种可解析为树的选择器的差异
[2table]
- < 选择器|     可解析层次|       在ul-list里解析的区别
- 列表选择器|  树层次（>0）|     首列仅解析列表层，`|`为分割
- 负列表选择器| 树层级（>-4）|   首列仅解析负列表层
- 标题选择器|  树层级（>-9）|    首列仅解析标题层

补充：
- `2` 表示 `to` 的意思（就是一种格式转化为另一种格式）
- `X` 表示 `去除` 的意思（例如去除引用块或代码块）


